
@import url('https://fonts.cdnfonts.com/css/neue-haas-grotesk-display-pro');

@import url('https://fonts.cdnfonts.com/css/canela-text-trial');

:root{

    --black:#000;
    --white:#f7f7f7;

    --red:#ff3151;
    --cream:#ece5a8;

    --border:#4b4b4b;

    --ease:cubic-bezier(.22,1,.36,1);
}

*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

html{
    scroll-behavior:smooth;
}

body{
    background:#000;
    color:white;
    font-family: 'Neue Haas Grotesk Display Pro', sans-serif;
    overflow-x:hidden;
}



.navbar{
    position:fixed;
    width:100%;
    top:0;
    z-index:100;
    padding:30px 60px;
}

.navbar nav{
    display:flex;
    justify-content:center;
    gap:32px;
}

.navbar a{
    color:#777;
    text-decoration:none;
    transition:.4s;
}

.navbar a:hover{
    color:white;
}

.hero{
    min-height:100vh;
    padding:140px 6vw;
}

.hero-title{
    font-size:clamp(3rem,8vw,8rem);
    text-align:center;
    line-height:.9;
    font-weight:700;
}

.white{color:white;}
.red{color:var(--red);}
.cream{color:var(--cream);}

.hero-subtitle{
    text-align:center;
    margin-top:25px;
    letter-spacing:.5rem;
    color:#cfcfcf;
}

.gallery{
    margin-top:80px;
    display:flex;
    justify-content:center;
    align-items:flex-end;
}

.poster{
    transition:.8s var(--ease);
}

.poster img{
    width:100%;
    display:block;
}

.poster-left,
.poster-right{
    width:28%;
}

.poster-center{
    width:26%;
    z-index:3;
    margin-left:-40px;
    margin-right:-40px;
}

.poster:hover{
    transform:translateY(-15px) scale(1.02);
}

.hero-copy{
    display:flex;
    justify-content:space-between;
    gap:40px;
    margin-top:30px;
}

.hero-copy p{
    max-width:550px;
    color:#d4d4d4;
}

.primary-btn,
.outline-btn{

    border:1px solid white;
    background:transparent;
    color:white;

    padding:18px 52px;

    border-radius:999px;

    cursor:pointer;

    font-family: 'Canela Text Trial', sans-serif;
    font-size:1.5rem;

    transition:.5s var(--ease);
}

.primary-btn{
    display:block;
    margin:50px auto;
}

.primary-btn:hover,
.outline-btn:hover{

    background:white;
    color:black;

    transform:translateY(-4px);
}



.waitlist{
    padding:180px 10vw;
}

.section-title{
    font-size:clamp(3rem,7vw,7rem);
    text-align:center;
    line-height:.95;
}

.section-title span{
    color:var(--red);
}

.waitlist-form{
    margin-top:100px;
}

.input-group{
    margin-bottom:30px;
}

.input-group input{

    width:100%;
    height:90px;

    background:transparent;

    border:1px solid #7f7f7f;

    border-radius:999px;

    padding:0 40px;

    color:white;

    font-size:2rem;
}

.outline-btn{
    display:block;
    margin:80px auto 0;
}

.outline-btn:disabled{
    opacity:.7;
    cursor:not-allowed;
    pointer-events:none;
}



.attendance{
    min-height:100vh;
    padding:180px 10vw;
}

.attendance-subtitle{
    text-align:center;
    font-family: 'Canela Text Trial', sans-serif;
    font-size:2rem;
    margin-top:10px;
}

.radio-group{

    margin-top:100px;

    display:flex;
    flex-direction:column;
    align-items:center;
    gap:30px;
}

.radio-group label{

    display:flex;
    align-items:center;
    gap:20px;

    font-size:3rem;
}

.radio-group input[type="radio"]{

    width:40px;
    height:40px;
}
.radio-group .input-group{
    width:100%;
    max-width:1000px;
}





.reveal{
    opacity:0;
    transform:translateY(60px);
}

.reveal.active{
    opacity:1;
    transform:translateY(0);
    transition:
    1.2s var(--ease);
}



.page-loader{
    position:fixed;
    inset:0;
    background:black;
    z-index:9999;
}



@media(max-width:900px){

    .gallery{
        flex-direction:column;
        align-items:center;
    }

    .poster-left,
    .poster-center,
    .poster-right{
        width:100%;
        max-width:500px;
        margin:0;
    }

    .hero-copy{
        flex-direction:column;
    }

    .radio-group label{
        font-size:2rem;
    }

    .input-group input{
        font-size:1.2rem;
        height:72px;
    }
}